### Function Macro

# Soup DEPRECATED_IN_3_4_FOR

since: 3.0

#### Declaration [src]

    #define SOUP_DEPRECATED_IN_3_4_FOR (
      f
    )

#### Description [src]

A macro used to indicate a symbol was deprecated in this version with a replacement.

Available since: 3.0

This function is not directly available to language bindings.

#### Parameters

`f`

  Type: `-`

  The recommended replacement function.